Package org.wildfly.plugin.deployment

## Class MojoDeploymentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.plugin.AbstractMojoExecutionException
      - - org.apache.maven.plugin.MojoExecutionException
        - - org.wildfly.plugin.deployment.MojoDeploymentException

- All Implemented Interfaces:
    `Serializable`

      public class MojoDeploymentException
      extends org.apache.maven.plugin.MojoExecutionException

  Wrapped exception for `MojoExecutionException`.
  Author:
    James R. Perkins
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.plugin.AbstractMojoExecutionException

      `longMessage, source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MojoDeploymentException​(Exception cause, String format, Object... args)` |
    `MojoDeploymentException​(String message)` |
    `MojoDeploymentException​(String message, Exception cause)` |
    `MojoDeploymentException​(String format, Object... args)` |
    `MojoDeploymentException​(String message, Throwable cause)` |
    `MojoDeploymentException​(Throwable cause, String format, Object... args)` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojoExecutionException

      `getLongMessage, getSource`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MojoDeploymentException

          public MojoDeploymentException​(String message,
                                         Exception cause)

    - #### MojoDeploymentException

          public MojoDeploymentException​(Exception cause,
                                         String format,
                                         Object... args)

    - #### MojoDeploymentException

          public MojoDeploymentException​(String message,
                                         Throwable cause)

    - #### MojoDeploymentException

          public MojoDeploymentException​(Throwable cause,
                                         String format,
                                         Object... args)

    - #### MojoDeploymentException

          public MojoDeploymentException​(String message)

    - #### MojoDeploymentException

          public MojoDeploymentException​(String format,
                                         Object... args)